Subject: RE: [Sip] Path to Working Group Item

From: "George Foti (LMC)" <[email-masked]>
Date: Sat, 2 Mar 2002 14:55:53 -0500

I am for it as a working item
/gf

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Saturday, March 02, 2002 1:54 PM
> To: [email-masked]
> Cc: George Foti (LMC); Rosen, Brian; [email-masked]'
> Subject: Re: [Sip] Path to Working Group Item
> 
> 
> 
> 
> [email-masked] wrote:
> > 
> > George Foti (LMC) writes:
> > 
> >  > You now what the requirements are. Suggest alternatives that
> > *address* those
> >  > requirements without breaking SIP, which you haven't 
> done. But opted
> > to cry
> >  > wolf. Your only alternative has been to discount the 
> requirements.
> > 
> > that is not true.  i have suggested that you use three 
> things instead of
> > the path header:
> > 
> > - dhcp to locate the proxy of the visited network
> > - dns with load balancing to figure out the proxy of the 
> home network
> > - loose source routing to get the requests to the home network
> > 
> > and i haven't heard of any *convincing* arguments why that is not
> > enough.
> 
> Path fills two needs, and you have omitted the second one. The second
> one is so that INCOMING calls to me, can be routed from my home proxy
> through an intermediate proxy that needs to be visited. I 
> think this is
> well within the scope of an extension to REGISTER, and I know of no
> other alternative to solve it. This is needed for any kind of
> visiting/roaming network where a local proxy needs to be visited for
> incoming calls. 
> 
> I would prefer to let us agree to adopt path as a work item, with the
> current draft as a starting point, and then we can continue to debate
> handling of outgoing calls.
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "SIP SIP" <[email-masked]>
Date: Sun, 03 Mar 2002 14:32:16 +0000

Hi does any body know bout any good book on SIP hich covers all the areas of 
the working of SIP.let me know.
>From: Jonathan Rosenberg <[email-masked]>
>To: [email-masked]
>CC: "George Foti (LMC)" <[email-masked]>,        "Rosen, Brian" 
><[email-masked]>,        "[email-masked]'" <[email-masked]>
>Date: Sat, 02 Mar 2002 13:53:30 -0500
>
>
>
> >  > requirements without breaking SIP, which you haven't done. But opted
> > to cry
> >  > wolf. Your only alternative has been to discount the requirements.
> >
> > that is not true.  i have suggested that you use three things instead of
> > the path header:
> >
> > - dns with load balancing to figure out the proxy of the home network
>through an intermediate proxy that needs to be visited. I think this is

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx

---

From: "SIP SIP" <[email-masked]>
Date: Sun, 03 Mar 2002 16:54:20 +0000

Hello,
what research is going on SIP othe wireless side.Any organizations working 
on that

>From: Fred Sherman <[email-masked]>
>To: SIP SIP <[email-masked]>
>Date: Sun, 3 Mar 2002 07:00:59 -0800 (PST)
>
>"SIP Demystified" Gonzalo Camarillo
>McGraw-Hill
>
>--- SIP SIP <[email-masked]> wrote:
> >
> >
> > >Sip mailing list
> > https://www1.ietf.org/mailman/listinfo/sip
> > Sip mailing list
> > https://www1.ietf.org/mailman/listinfo/sip
>__________________________________________________
>Do You Yahoo!?
>Yahoo! Sports - sign up for Fantasy Baseball
>http://sports.yahoo.com

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

---

From: "Christian Huitema" <[email-masked]>
Date: Tue, 5 Mar 2002 11:40:27 -0800

> Juha says:
> > in sip, register request accomplishes one and only one thing: lets
> > others to learn that i'm available for calls and how their calls can
> > reach me.  the path proposal on the table is changing that in a
> > fundamental way by establishing to the registering party a service
route
> > that it should be using when it makes calls.  that part of the
proposal
> > breaks the sip protocol architecture and is thus unacceptable.
> 
> Are you saying that it is in general unacceptable to use proxies to
> provide
> value-added services for outbound calls? I'd find that a hard position
to
> support, as one of the big advantages claimed for SIP has been its
ability
> to enable value-added services for both inbound and outbound calls. I
give
> some examples in another post on this topic. So it's just a question
of
> figuring out where to get those outbound services from . . .

My basic statement is that users should always be able to get the basic
services from their standard registration proxy, whatever their location
in the network. They may want to get services from other proxies as
well, but such services should be optional and the users' subscription
should be explicit. In the basic configuration, we should assume that
the communication between a UA and the registration proxy is encrypted.

-- Christian Huitema

---

From: "James Undery" <[email-masked]>
Date: Thu, 7 Mar 2002 09:17:49 -0000

> From: [email-masked] [mailto:[email-masked]]

> James Undery writes:
> 
>  > The semantics of REGISTER are so broken and incongruous to 
> the rest of
>  > SIP this can't go anyway towards being an argument. A proper
>  > provisioning mechanism is what's required, and with the beauty of
>  > hindsight I guess most people would agree.
> 
> this is the first time i hear this kind of comment and very 
> late in the
> bis process. i have almost two year expirience of running sip based
> services here and haven't found any major problems with the register
> request.

I'd check back over the SIP archive then ;-) As an implementor of
registrars for over two years I have a problem with the fit of REGISTER
into session initiation.

James